## xklavier

xklavier

## Functions

const gchar * | xkl_get_last_error ()
void | (*XklLogAppender) ()
void | xkl_default_log_appender ()
void | xkl_set_log_appender ()
void | xkl_set_debug_level ()
#define | xkl_debug()

## Description

## Functions

### xkl_get_last_error ()

    const gchar *
    xkl_get_last_error (void);

#### Returns

the text message (statically allocated) of the last error

### XklLogAppender ()

    void
    (*XklLogAppender) (const gchar file[],
                       const gchar function[],
                       gint level,
                       const gchar format[],
                       va_list args);

Custom log output method for _xkl_debug. This appender is NOT called if the level of the message is greater than currently set debug level.

#### Parameters

file | name of the source file. Preprocessor symbol__FILE__ should be used here |
function | name of the function Preprocessor symbol__func__ should be used here |
level | level of the message |
format | format (like in printf) |
args | list of parameters |

### xkl_default_log_appender ()

    void
    xkl_default_log_appender (const gchar file[],
                              const gchar function[],
                              gint level,
                              const gchar format[],
                              va_list args);

Default log output method. Sends everything to stdout.

#### Parameters

file | name of the source file. Preprocessor symbol__FILE__ should be used here |
function | name of the function Preprocessor symbol__func__ should be used here |
level | level of the message |
format | format (like in printf) |
args | list of parameters |

### xkl_set_log_appender ()

    void
    xkl_set_log_appender (XklLogAppender fun);

Installs the custom log appender.function

#### Parameters

fun | new log appender |

### xkl_set_debug_level ()

    void
    xkl_set_debug_level (gint level);

Sets maximum debug level. Message of the level more than the one set here - will be ignored

#### Parameters

level | new debug level |

### xkl_debug()

    #define             xkl_debug( level, ... )

Output (optionally) some debug info

#### Parameters

level | level of the message |
format | format (like in printf) |